Bug 33080 - nvidia driver does not work with rawhide kernel, but work with linux-2.4.2-ac24
nvidia driver does not work with rawhide kernel, but work with linux-2.4.2-ac24
Status: CLOSED NOTABUG
Product: Red Hat Raw Hide
Classification: Retired
Component: kernel (Show other bugs)
1.0
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Michael K. Johnson
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-03-24 03:55 EST by Knut J BJuland
Modified: 2007-04-18 12:32 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-03-25 12:34:07 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Knut J BJuland 2001-03-24 03:55:04 EST
Nvidia driver has some trouble with /proc, it is unable to open
/proc/nv/card0.  I have ai815 chipset.  My setup work with stock kernel
from linux-2.4.2-ac24
Comment 1 Arjan van de Ven 2001-03-24 06:06:08 EST
Binary only kernel drivers are not supported
Comment 2 Knut J BJuland 2001-03-25 08:30:05 EST
I am not using a binary kernel. NVIDIA_kernel i aviable as source code. When I
compile it for linux-2.4.2-ac20 I get information about driver status by typing
cat /proc/nv/card0. I am unable to do it in Redhat lates kernel 2.4.2-0.1.28. In
my Xfree86 log I see that Nvidia_kernel is unable to get DMA access, it works
with linux-2.4.2-ac20. Kggc was used to compile booth cause.
Comment 3 Knut J BJuland 2001-03-25 12:33:07 EST
(==) NVIDIA(0): Write-combining range (0xe8000000,0x2000000)
(II) NVIDIA(0): AGP is enabled
(WW) NVIDIA(0): Failure to allocate DMA push buffer using AGP memory...
attempting to use PCI memory
(WW) NVIDIA(0): Failure to allocate DMA push buffer using AGP memory...
attempting to use PCI memory
(II) NVIDIA(0): NVIDIA driver enabled successfully
This happens when I am using linux 2.4.2-0.1.28, and when using linux 2.4.2-ac20
==) NVIDIA(0): Write-combining range (0xe8000000,0x2000000)
(II) NVIDIA(0): AGP is enabled
(II) NVIDIA(0): NVIDIA driver enabled successfully.

Comment 4 Arjan van de Ven 2001-03-25 18:39:43 EST
We are not allowed to fix bugs in the nvidia drivers.
Also the drivers is just as unreadable as a real binary .o  file
Please compleain to NVidia, not us

Note You need to log in before you can comment on or make changes to this bug.